Docs Rizler

V1 Functions

V1 Update Appointment Checker

PATCHhttps://app.rizzdial.com/api/ai/agent/v1/manage/advanced/functions/appointment-checker/{agent_id}
V1 Update Appointment Checker
curl --request PATCH \
  --url https://app.rizzdial.com/api/ai/agent/v1/manage/advanced/functions/appointment-checker/agent_123 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "block": "upcoming",
  "enabled": true
}'
{
  "data": {
    "agent_id": "agent_123"
  },
  "message": "Saved",
  "success": true
}

V1 Update Appointment Checker#

V1 Update Appointment Checker. Use the public agent id from List Agents. This path only accepts V1 agents allowed by the company package.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

agent_idstringpathrequired

Public agent id from List Agents

enabledbooleanbodyrequired

Request field

blockstringbody

One of: upcoming, past, all. may be null

curl --request PATCH \
  --url https://app.rizzdial.com/api/ai/agent/v1/manage/advanced/functions/appointment-checker/agent_123 \
  --header 'Authorization: Bearer {{bearer_token}}' \
  --header 'Content-Type: application/json' \
  --data '{"enabled":true,"block":"upcoming"}'
successboolean

true when the call succeeds. Some list responses use status: success instead

dataobject

The saved record, or the list of records